<?php
namespace Claromentis\Gallery\Search\Application;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_99cb7d6393e8f6b8b9ef" . "ffb220b7f444" => base64_decode("bWVudS5hcHAuZ2Fsb" . "GVyeQ=="), "_7f4bab7268c708fce9" . "1f28cff921fb7e" => base64_decode("YXBwX2dhbGxl" . "cnk="), "_bcae22e258f1cb" . "3c447947b395d2e" . "5f9" => base64_decode("Z2FsbGVyeV9" . "nYWxsZXJ5"), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_ab9bcf0e2fd858c1730f355" . "33e9491e9" => base64_decode("Z2Fsb" . "GVyeV" . "9pbWF" . "nZQ=="));
use Claromentis\Gallery\GalleryApplication as GalleryGalleryApplication;
use Claromentis\Gallery\Search\GallerySearchGallery;
use Claromentis\Gallery\Search\GallerySearchImage;
use Claromentis\Search\Application\ApplicationInterface;
use Claromentis\Search\Application\CacheableInterface;
use Claromentis\Search\Application\IconInterface;




class GalleryApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    
    
    
    
    
    
    
    
    public function GetTypes()
    {
        $_343a395319323dd7609bcbc465b4d034 = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_bcae22e258f1cb3c447947b395d2e" . "5f9"] => function () {
            return new GallerySearchGallery();
        }, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ab9bcf0e2fd8" . "58c1730f35533" . "e9491e9"] => function () {
            return new GallerySearchImage();
        }];
        return $_343a395319323dd7609bcbc465b4d034;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_99cb7d6393e8f6b8b9e" . "fffb220b7f444"]);
    }
    
    
    
    
    
    
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_7f4bab7268c708fce91f" . "28cff921fb7e"];
    }
    public function GetIcon() : string
    {
        return GalleryGalleryApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_bcae22e258f1c" . "b3c447947b395d" . "2e5f9"]];
    }
}